%define majorversion 2
%define minorversion 6
%define microversion 0
%define svnversion svn20071127

Summary: AbiWord Library
Name: libabiword
Version: %{majorversion}.%{minorversion}.%{microversion}.%{svnversion}
Release: 1
Source0: %{name}-%{version}.tar.gz
Source1: %{name}-plugins-%{version}.tar.gz
Vendor: AbiSource
URL: http://svn.abisource.com/abiword/trunk/
License: GPL
Group: System Environment/Libraries

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: wv-devel
BuildRequires: enchant-devel
BuildRequires: fribidi-devel
BuildRequires: libxml2-devel
BuildRequires: zlib-devel
BuildRequires: popt
BuildRequires: gtk2-devel
BuildRequires: libglade2-devel
BuildRequires: libgsf-devel

Patch0: libabiword-2.5.2-defaultfont.patch
Patch1: libabiword-2.6.0.svn20071031-draghandles.patch
Patch2: libabiword-2.6.0.svn20071031-nohtmloptions.patch

%description
This package installs libabiword

%package devel
Summary: Support files necessary to compile applications with libabiword.
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}

%description devel
Libraries, headers, and support files necessary to compile applications using libabiword.

%prep
%setup -q 
%patch0 -p1 -b .defaultfont
%patch1 -p1 -b .draghandles
%patch2 -p1 -b .nohtmloptions

%build
%configure --enable-libabiword --disable-bonobo --disable-gnomevfs --disable-gnomeui --disable-gucharmap --disable-printing

%install
rm -rf %{buildroot}
make install DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%ghost %{_bindir}/abiword
%{_libdir}/libabiword-*.so*
%dir %{_datadir}/abiword-%{majorversion}.%{minorversion}
%{_datadir}/abiword-%{majorversion}.%{minorversion}/readme.txt
%{_datadir}/abiword-%{majorversion}.%{minorversion}/system.profile*
%dir %{_datadir}/abiword-%{majorversion}.%{minorversion}/glade
%{_datadir}/abiword-%{majorversion}.%{minorversion}/glade/*.glade
%dir %{_datadir}/abiword-%{majorversion}.%{minorversion}/scripts
%{_datadir}/abiword-%{majorversion}.%{minorversion}/scripts/abw2html.pl
%dir %{_datadir}/abiword-%{majorversion}.%{minorversion}/strings
%{_datadir}/abiword-%{majorversion}.%{minorversion}/strings/*.strings
%dir %{_datadir}/abiword-%{majorversion}.%{minorversion}/templates
%{_datadir}/abiword-%{majorversion}.%{minorversion}/templates/*

%{_datadir}/applications/abiword.desktop
%ghost %{_datadir}/icons/abiword_48.png
%{_datadir}/mime-info/abiword.keys

%files devel
%defattr(-,root,root)
%dir %{_includedir}/abiword-%{majorversion}.%{minorversion}
%{_includedir}/abiword-%{majorversion}.%{minorversion}/*
%{_libdir}/pkgconfig/abiword-%{majorversion}.%{minorversion}.pc

%changelog
* Tue Nov 27 2007 Marc Maurer <uwog@uwog.net>
- Update BuildRequires list

* Wed Oct 31 2007 Marc Maurer <uwog@uwog.net>
- Update the drag handle patch to work with the
  current upstream
- Add a patch to disable the HTML export options dialog

* Tue Oct 30 2007 Marc Maurer <uwog@uwog.net>
- Add a patch to increase the size of image resize 
  handles (see bug 3997)

* Sat Oct 27 2007 Marc Maurer <uwog@uwog.net>
- Updates for abiword 2.6
- New upstream snapshot

* Mon Sep 03 2007 Marc Maurer <uwog@uwog.net>
- Add a patch to default to DejaVu Serif instead
  of Times New Roman

* Wed Apr 16 2007 Marc Maurer <uwog@uwog.net>
- Move from cvs to svn
- Remove the save to .doc by default patch

* Thu Mar 22 2007 Marc Maurer <uwog@uwog.net>
- Set the default save format to .doc

* Sun Jan 14 2007 Marc Maurer <uwog@uwog.net>
- Include normal.awt templates

* Thu Jan 11 2007 Marc Maurer <uwog@uwog.net>
- Move abiword-plugins to its own package

* Thu Jan 11 2007 Marc Maurer <uwog@uwog.net>
- Add an abiword-plugins package

* Sat Dec 23 2006 Marc Maurer <uwog@uwog.net>
- New upsteam cvs version

* Thu Nov 30 2006 Marc Maurer <uwog@uwog.net>
- Clean up the files section a bit

* Thu Nov 30 2006 Marc Maurer <uwog@uwog.net> 
- Initial spec file
